Package org.eclipse.jdt.launching.sourcelookup.containers

## Class JavaSourceLookupParticipant

- java.lang.Object
- - org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant
  - - org.eclipse.jdt.launching.sourcelookup.containers.JavaSourceLookupParticipant

All Implemented Interfaces:
  `ISourceLookupParticipant`

    public class JavaSourceLookupParticipant
    extends AbstractSourceLookupParticipant

A source lookup participant that searches for Java source code.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

### Fields inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant

`EMPTY`

### Constructor Summary

Constructors
`JavaSourceLookupParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`protected ISourceContainer` `getDelegateContainer​(ISourceContainer container)`
`String` `getSourceName​(Object object)` Returns the source name associated with the given object, or `null` if none.
`void` `init​(ISourceLookupDirector director)`
`void` `sourceContainersChanged​(ISourceLookupDirector director)`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.AbstractSourceLookupParticipant

`findSourceElements, getDirector, getSourceContainers, isFindDuplicates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaSourceLookupParticipant

    public JavaSourceLookupParticipant()

### Method Detail

#### getSourceName

    public String getSourceName​(Object object)
                         throws CoreException

Returns the source name associated with the given object, or `null` if none.

Parameters:
  `object` - an object with an `IJavaStackFrame` adapter, an IJavaValue or an IJavaType
Returns:
  the source name associated with the given object, or `null` if none
Throws:
  `CoreException` - if unable to retrieve the source name

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ISourceLookupParticipant`
Overrides:
  `dispose` in class `AbstractSourceLookupParticipant`

#### getDelegateContainer

    protected ISourceContainer getDelegateContainer​(ISourceContainer container)

Overrides:
  `getDelegateContainer` in class `AbstractSourceLookupParticipant`

#### init

    public void init​(ISourceLookupDirector director)

Specified by:
  `init` in interface `ISourceLookupParticipant`
Overrides:
  `init` in class `AbstractSourceLookupParticipant`

#### sourceContainersChanged

    public void sourceContainersChanged​(ISourceLookupDirector director)

Specified by:
  `sourceContainersChanged` in interface `ISourceLookupParticipant`
Overrides:
  `sourceContainersChanged` in class `AbstractSourceLookupParticipant`